## cifer 1.1.0

=== Makefile ===
#!/usr/bin/make -f
# -*- makefile -*-

#    Cifer: Automating classical cipher cracking in C
#    Copyright (C) 2008  Daniel Richman & Simrun Basuita
#
#    Cifer is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    Cifer is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Cifer.  If not, see <http://www.gnu.org/licenses/>.

SHELL = /bin/sh

version := $(shell cat VERSION)

CC = gcc
CFLAGS = -Wall -pedantic

DEFS = -DVERSION="\"$(version)\""
LINKLIBS = -lreadline

prefix = /usr/local
exec_prefix = $(prefix)
bindir = $(exec_prefix)/bin
datarootdir = $(prefix)/share
mandir = $(datarootdir)/man
man1dir = $(mandir)/man1

INSTALL = install
INSTALL_PROGRAM = $(INSTALL) -m 755
INSTALL_DATA = $(INSTALL) -m 644

srcmandir = manpages/

rm = rm -f
rmdir = rm -rf
mkdir = mkdir -p

cfiles  := $(wildcard src/*.c)
objects := $(patsubst %.c,%.o,$(cfiles))
headers := $(wildcard src/*.h src/*.inc)

allfiles := $(shell ls)

all : cifer

cifer : $(objects)
	$(CC) $(CFLAGS) $(LINKLIBS) -o $@ $(objects)

src/%.o : src/%.c $(headers)
	$(CC) $(DEFS) -c $(CFLAGS) $< -o $@

.PHONY : all \
	\
	install \
	install-man \
	install-bin \
	install-dir-man \
	install-dir-bin \
	\
	uninstall \
	uninstall-man \
	uinstall-bin \
	\
	clean \
	distclean \
	\
	dist


install : install-man install-bin

install-dir-man :
	[ -d $(DESTDIR)$(man1dir) ] || $(mkdir) $(DESTDIR)$(man1dir)

install-dir-bin :
	[ -d $(DESTDIR)$(bindir) ] || $(mkdir) $(DESTDIR)$(bindir)

install-man : install-dir-man
	$(INSTALL_DATA) $(srcmandir)/cifer.1 \
	$(DESTDIR)$(man1dir)/cifer.1
	$(INSTALL_DATA) $(srcmandir)/cifer-dict.1 \
	$(DESTDIR)$(man1dir)/cifer-dict.1

install-bin : all install-dir-bin
	$(INSTALL_PROGRAM) cifer $(DESTDIR)$(bindir)/cifer
	$(INSTALL_PROGRAM) cifer-dict $(DESTDIR)$(bindir)/cifer-dict

uninstall: uninstall-man uninstall-bin

uninstall-man :
	$(rm) $(DESTDIR)$(man1dir)/cifer.1
	$(rm) $(DESTDIR)$(man1dir)/cifer-dict.1

uninstall-bin :
	$(rm) $(DESTDIR)$(bindir)/cifer
	$(rm) $(DESTDIR)$(bindir)/cifer-dict


clean :
	$(rm) cifer $(objects)

distclean : clean


dist : clean
	$(mkdir) cifer-$(version)
	for i in $(allfiles); do \
	  cp --recursive $$i cifer-$(version); \
	done
	
	$(rmdir) cifer-$(version)/copy-header \
	cifer-$(version)/notes \
	cifer-$(version)/tests
	
	tar cf - cifer-$(version) | \
	gzip -9f > \
	cifer-$(version).tar.gz
	
	$(rmdir) cifer-$(version)

## cifer 1.2.0

=== Makefile ===
--- 
+++ 
@@ -37,6 +37,7 @@
 INSTALL = install
 INSTALL_PROGRAM = $(INSTALL) -m 755
 INSTALL_DATA = $(INSTALL) -m 644
+INSTALL_DIR =  $(INSTALL) -d
 
 srcmandir = manpages/
 
@@ -48,7 +49,7 @@
 objects := $(patsubst %.c,%.o,$(cfiles))
 headers := $(wildcard src/*.h src/*.inc)
 
-allfiles := $(shell ls)
+allfiles := $(wildcard *)
 
 all : cifer
 
@@ -79,10 +80,10 @@
 install : install-man install-bin
 
 install-dir-man :
-	[ -d $(DESTDIR)$(man1dir) ] || $(mkdir) $(DESTDIR)$(man1dir)
+	[ -d $(DESTDIR)$(man1dir) ] || $(INSTALL_DIR) $(DESTDIR)$(man1dir)
 
 install-dir-bin :
-	[ -d $(DESTDIR)$(bindir) ] || $(mkdir) $(DESTDIR)$(bindir)
+	[ -d $(DESTDIR)$(bindir) ] || $(INSTALL_DIR) $(DESTDIR)$(bindir)
 
 install-man : install-dir-man
 	$(INSTALL_DATA) $(srcmandir)/cifer.1 \

=== debian/changelog ===
cifer (1.2.0-0ubuntu4) yakkety; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Sep 2016 11:59:20 +0000

cifer (1.2.0-0ubuntu3) precise; urgency=low

  * Update watch file.

 -- Ilya Barygin <randomaction@ubuntu.com>  Thu, 03 Nov 2011 23:21:08 +0400

cifer (1.2.0-0ubuntu2) oneiric; urgency=low

  * convert to source 3.0 (quilt)
  * debian/patches/fix_as_needed.patch (LP: #765985)
    fix order of arguments while linking to fix FTBFS with ld --as-needed

 -- Andreas Moog <amoog@ubuntu.com>  Thu, 23 Jun 2011 12:11:44 +0000

cifer (1.2.0-0ubuntu1) karmic; urgency=low

  * New upstream version (LP: #342350)
    - Fixed several input/output bugs

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 30 Apr 2009 08:27:59 +0200

cifer (1.1.0-0ubuntu1) jaunty; urgency=low

  * Initial release (LP: #303525)

 -- Simrun Basuita <simrunbasuita@googlemail.com>  Wed, 17 Dec 2008 21:28:39 +0000

=== debian/control ===
Source: cifer
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Simrun Basuita <simrunbasuita@googlemail.com>
Build-Depends: debhelper (>= 7.0.50~), libreadline-dev
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/cifer/

Package: cifer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: wordlist
Description: multipurpose classical cryptanalysis and code-breaking tool
 Cifer provides many functions designed to aid in cracking classical
 ciphers; a group of ciphers used historically, but which have now
 fallen into disuse because of their suceptability to ciphertext-only
 attacks. In general, they were designed and implemented by hand, and
 operate on an alphabet of letters (such as [A-Z]).
 .
 It operates using text files as input and output, and can perform both brute
 force and other, more sophisticated, attacks against many classic encryption
 schemes. In addition, it provides many utilities such as frequency analysis
 and automated encryption/decryption of texts.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

%:
	dh  $@

override_dh_auto_install:
	$(MAKE) prefix=/usr DESTDIR=$(CURDIR)/debian/cifer install

# # build: build-stamp
# # build-stamp:
# # 	dh_testdir
# # 	$(MAKE) CFLAGS=-O2 all
# # 	touch $@
# # 
# # clean: 
# # 	dh_testdir
# # 	dh_testroot
# # 	$(MAKE) distclean
# # 	dh_clean build-stamp configure-stamp
# # 
# # install: build
# # 	dh_testdir
# # 	dh_testroot
# # 	dh_clean -k 
# # 	dh_installdirs
# # 	$(MAKE) prefix=/usr DESTDIR=$(CURDIR)/debian/cifer install
# # 
# # binary-indep: build install
# # 
# # binary-arch: build install
# # 	dh_testdir
# # 	dh_testroot
# # 	dh_installchangelogs CHANGES
# # 	dh_installdocs
# # 	dh_strip
# # 	dh_compress
# # 	dh_fixperms
# # 	dh_shlibdeps
# # 	dh_gencontrol
# # 	dh_md5sums
# # 	dh_builddeb
# # 
# # binary: binary-indep binary-arch
# # .PHONY: build clean binary-indep binary-arch binary install
